<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="../css/blue-twilight.min.css">
        <link rel="stylesheet" href="../themes/default/theme.css">
        <title><?php echo $appName; ?></title>
        <style type="text/css">
            * {
                font-family: "Raleway", sans-serif;
            }
        </style>
    </head>
    <body>
        <nav class="navbar bg-primary navbar-dark">
            <a class="navbar-brand" href="" style="color: #fff;"><i class="fa fa-fw fa-image"></i> Blue Twilight - Install</a>
            <div class="collapse navbar-collapse" id="navbar-content">
                <ul class="navbar-nav mr-auto">
                </ul>
            </div>
        </nav>

        <div class="container" id="bootstrapper">
            <h3>Welcome to Blue Twilight - the self-hosted PHP photo gallery.</h3>
            <p>Your application/PHP environment have been checked and the results are below. Please correct any failed items before continuing.</p>

            <div class="row">
                <div class="col-md-8 offset-md-2">
                    <div class="mt-4" v-if="!isRunning">
                        <div class="alert alert-info">
                            Blue Twilight will automatically download the required third-party libraries when you
                            click Continue.
                        </div>

                        <?php foreach ($systemRequirements as $groupName => $items): ?>
                        <div class="card mb-4">
                            <div class="card-header">
                                <p class="m-0"><b><?php echo $requirementGroupNames[$groupName]; ?></b></p>
                            </div>
                            <div class="card-body p-0">
                                <table class="table mb-0">
                                    <tbody>
                                    <?php foreach ($items as $itemName => $result): ?>
                                        <tr>
                                            <td style="width: 75%;"><?php echo $requirementNames[$itemName]; ?></td>
                                            <td style="width: 25%;">
                                                <?php if ($result['result'] == $statusOK): ?>
                                                    <i class="fas fa-check text-success mr-2"></i>
                                                <?php elseif ($result['result'] == $statusNotMet): ?>
                                                    <i class="fas fa-times text-danger mr-2"></i>
                                                <?php endif; ?>
                                                <?php echo $result['status'] ?? ''; ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <?php endforeach; ?>

                        <?php if ($canInstall): ?>
                            <p class="mb-0 mt-4 text-right"><button class="btn btn-success" @click.prevent="bootstrap"><i class="fas fa-check"></i> Continue</button></p>
                        <?php else: ?>
                            <div class="alert alert-danger">
                                Blue Twilight cannot be installed until the issues identified above are rectified.
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="mt-5" v-else>
                        <ul v-cloak>
                            <li class="operation mb-3" v-for="operation in operations">
                                <div class="status mr-1">
                                    <img src="images/waiting.svg" v-if="!operation.isRunning && !operation.isCompleted"></img>
                                    <img src="images/loading.svg" v-if="operation.isRunning && !operation.isCompleted"/>
                                    <img src="images/completed.svg" v-if="!operation.isRunning && operation.isCompleted"></img>
                                </div>
                                <span v-text="operation.name"></span>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <script src="../js/blue-twilight.min.js"></script>
        <script type="text/javascript">
            $(function()
            {
                var vm = new BootstrapperViewModel();
                var app = new Vue(vm);
            });
        </script>
    </body>
</html>